Bug 852406 - For non-replicate type volumes, do not print brick details for "gluster volume heal <volname> info ".
For non-replicate type volumes, do not print brick details for "gluster volum...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: vsomyaju
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 08:09 EDT by vsomyaju
Modified: 2015-03-04 19:06 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:20:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vsomyaju 2012-08-28 08:09:02 EDT
Description of problem:
For non-replicate volumes, the output of volume self-heal info should not print brick details.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.create a non-replicate volume
2.start the volume
3.type command "gluster volume heal dist info split-brain" at cli.(Here dist is an non-replicate volume) 

  
Actual results:

[root@gqas004 ~]# gluster volume heal dist info split-brain
Volume dist is not of type replicate

Brick gqas004.sbu.lab.eng.bos.redhat.com:/tmp/exp1
Number of entries: 0

Brick gqas004.sbu.lab.eng.bos.redhat.com:/tmp/exp2
Number of entries: 0


Expected results:

[root@gqas004 ~]# gluster volume heal dist info split-brain
Volume dist is not of type replicate


Additional info:

Note You need to log in before you can comment on or make changes to this bug.